//	HYPE.documents["SolrCloudArchitecture"]

(function HYPE_DocumentLoader() {
	var resourcesFolderName = "SolrCloudArchitecture_Resources";
	var documentName = "SolrCloudArchitecture";
	var documentLoaderFilename = "solrcloudarchitecture_hype_generated_script.js";

	// find the URL for this script's absolute path and set as the resourceFolderName
	try {
		var scripts = document.getElementsByTagName('script');
		for(var i = 0; i < scripts.length; i++) {
			var scriptSrc = scripts[i].src;
			if(scriptSrc != null && scriptSrc.indexOf(documentLoaderFilename) != -1) {
				resourcesFolderName = scriptSrc.substr(0, scriptSrc.lastIndexOf("/"));
				break;
			}
		}
	} catch(err) {	}

	// Legacy support
	if (typeof window.HYPE_DocumentsToLoad == "undefined") {
		window.HYPE_DocumentsToLoad = new Array();
	}
 
	// load HYPE.js if it hasn't been loaded yet
	if(typeof HYPE_124 == "undefined") {
		if(typeof window.HYPE_124_DocumentsToLoad == "undefined") {
			window.HYPE_124_DocumentsToLoad = new Array();
			window.HYPE_124_DocumentsToLoad.push(HYPE_DocumentLoader);

			var headElement = document.getElementsByTagName('head')[0];
			var scriptElement = document.createElement('script');
			scriptElement.type= 'text/javascript';
			scriptElement.src = resourcesFolderName + '/' + 'HYPE.js?hype_version=124';
			headElement.appendChild(scriptElement);
		} else {
			window.HYPE_124_DocumentsToLoad.push(HYPE_DocumentLoader);
		}
		return;
	}
	
	// guard against loading multiple times
	if(HYPE.documents[documentName] != null) {
		return;
	}
	
	var hypeDoc = new HYPE_124();
	
	var attributeTransformerMapping = {b:"i",c:"i",bC:"i",d:"i",aS:"i",M:"i",e:"f",N:"i",f:"d",aT:"i",O:"i",g:"c",aU:"i",P:"i",Q:"i",aV:"i",R:"c",aW:"f",S:"i",aI:"i",T:"i",l:"d",aX:"i",aJ:"i",m:"c",n:"c",aK:"i",aZ:"i",X:"i",A:"c",Y:"i",aL:"i",B:"c",C:"c",D:"c",t:"i",E:"i",G:"c",bA:"c",a:"i",bB:"i"};

var scenes = [{onSceneLoadAction:{type:0},onSceneKeyDownAction:{type:4,javascriptOid:"11"},onSceneKeyPressAction:{type:0},timelines:{kTimelineDefaultIdentifier:{framesPerSecond:30,animations:[],identifier:"kTimelineDefaultIdentifier",name:"Main Timeline",duration:0}},sceneIndex:0,perspective:"600px",oid:"1",initialValues:{"10":{aV:8,w:"The SolrCloud Architecture",x:"visible",a:263,Z:"break-word",b:377,j:"absolute",r:"inline",z:"6",k:"div",aS:8,aT:8,y:"preserve",t:36,aU:8,G:"#000000",v:"bold"},"8":{aV:8,w:"Mark Miller",x:"visible",a:446,Z:"break-word",b:450,j:"absolute",r:"inline",z:"4",k:"div",aS:8,aT:8,y:"preserve",t:24,aU:8,G:"#000000"},"14":{o:"content-box",h:"cloudera_logo.jpg",x:"visible",a:23,q:"100% 100%",b:16,j:"absolute",r:"inline",c:145,k:"div",z:"7",d:48},"9":{c:281,d:6,I:"None",J:"None",K:"None",g:"#000000",L:"None",aX:0,M:0,N:0,A:"#A0A0A0",x:"visible",j:"absolute",O:0,P:0,B:"#A0A0A0",C:"#A0A0A0",z:"5",k:"div",D:"#A0A0A0",a:370,b:355},"7":{o:"content-box",h:"Pasted.png",x:"visible",a:370,q:"100% 100%",b:203,j:"absolute",r:"inline",c:283,k:"div",z:"3",d:156},"5":{aU:8,G:"#000000",c:183,aV:8,r:"inline",d:42,s:"Impact,'Arial Narrow Bold',Sans-Serif",X:1.08475,t:38,Y:50,Z:"break-word",w:"<font face=\"Impact, Arial Narrow Bold, sans-serif\">SolrCloud</font>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"1",aS:8,aT:8,a:836,b:611}},backgroundColor:"#FFFFFF",name:"Cover"},{timelines:{kTimelineDefaultIdentifier:{framesPerSecond:30,animations:[],identifier:"kTimelineDefaultIdentifier",name:"Main Timeline",duration:0}},onSceneKeyDownAction:{type:4,javascriptOid:"11"},onSceneKeyPressAction:{type:0},sceneIndex:1,perspective:"600px",oid:"12",initialValues:{"25":{aV:8,w:"Lucene committer since 2008",x:"visible",a:342,Z:"break-word",b:394,j:"absolute",r:"inline",c:615,z:"11",aS:8,aT:8,d:28,k:"div",t:24,y:"preserve",aU:8,G:"#000000",v:"normal"},"21":{aV:8,w:"<b>Mark Miller</b>: Cloudera employee, Lucene PMC member, Apache member",x:"visible",a:342,Z:"break-word",b:161,j:"absolute",r:"inline",c:615,z:"7",aS:8,aT:8,d:28,k:"div",t:24,y:"preserve",aU:8,G:"#000000"},"15":{aV:8,w:"Who Am I?",x:"visible",a:370,Z:"break-word",b:24,j:"absolute",r:"inline",z:"1",k:"div",aS:8,aT:8,y:"preserve",t:48,aU:8,G:"#000000"},"26":{aU:3,c:17,aV:3,I:"Solid",d:15,J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:4,N:4,aI:16,j:"absolute",x:"visible",O:4,A:"#A0A0A0",P:4,B:"#A0A0A0",C:"#A0A0A0",z:"12",aS:3,D:"#A0A0A0",k:"div",aJ:16,aK:16,aT:3,a:290,aL:16,b:402},"16":{o:"content-box",h:"Pasted-1.png",x:"visible",a:57,q:"100% 100%",b:143,j:"absolute",r:"inline",c:169,k:"div",z:"2",d:164},"22":{aU:3,c:17,aV:3,I:"Solid",d:15,J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:4,N:4,aI:16,j:"absolute",x:"visible",O:4,A:"#A0A0A0",P:4,B:"#A0A0A0",C:"#A0A0A0",z:"8",aS:3,D:"#A0A0A0",k:"div",aJ:16,aK:16,aT:3,a:290,aL:16,b:183},"27":{aV:8,w:"Solr committer since 2009",x:"visible",a:342,Z:"break-word",b:490,j:"absolute",r:"inline",c:615,z:"13",aS:8,aT:8,d:28,k:"div",t:24,y:"preserve",aU:8,G:"#000000",v:"normal"},"17":{o:"content-box",h:"Pasted.png",x:"visible",a:57,q:"100% 100%",b:376,j:"absolute",r:"inline",c:182,k:"div",z:"3",d:100},"23":{aV:8,w:"Started playing with Lucene in 2006",x:"visible",a:342,Z:"break-word",b:288,j:"absolute",r:"inline",c:615,z:"9",aS:8,aT:8,d:28,k:"div",t:24,y:"preserve",aU:8,G:"#000000",v:"normal"},"28":{aU:3,c:17,aV:3,I:"Solid",d:15,J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:4,N:4,aI:16,j:"absolute",x:"visible",O:4,A:"#A0A0A0",P:4,B:"#A0A0A0",C:"#A0A0A0",z:"14",aS:3,D:"#A0A0A0",k:"div",aJ:16,aK:16,aT:3,a:290,aL:16,b:498},"24":{aU:3,c:17,aV:3,I:"Solid",d:15,J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:4,N:4,aI:16,j:"absolute",x:"visible",O:4,A:"#A0A0A0",P:4,B:"#A0A0A0",C:"#A0A0A0",z:"10",aS:3,D:"#A0A0A0",k:"div",aJ:16,aK:16,aT:3,a:290,aL:16,b:295},"18":{aU:8,G:"#000000",c:183,aV:8,r:"inline",d:42,s:"Impact,'Arial Narrow Bold',Sans-Serif",X:1.08475,t:38,Y:50,Z:"break-word",w:"<font face=\"Impact, Arial Narrow Bold, sans-serif\">SolrCloud</font>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"4",aS:8,aT:8,a:836,b:611},"20":{o:"content-box",h:"Pasted-2.png",x:"visible",a:40,q:"100% 100%",b:561,j:"absolute",r:"inline",c:186,k:"div",z:"6",d:29},"19":{o:"content-box",h:"cloudera_logo.jpg",x:"visible",a:23,q:"100% 100%",b:16,j:"absolute",r:"inline",c:145,k:"div",z:"5",d:48}},backgroundColor:"#FFFFFF",name:"Who Am I?"},{timelines:{kTimelineDefaultIdentifier:{framesPerSecond:30,animations:[{f:"2",t:0,d:1,i:"b",e:345,r:1,s:256,o:"30"},{f:"5",t:0,d:1,i:"b",e:219,r:1,s:-106,o:"35"},{f:"2",t:0,d:1,i:"a",e:468,r:1,s:468,o:"35"},{f:"3",t:0,d:0.69999999,i:"e",e:"1.000000",r:1,s:"0.000000",o:"34"},{f:"3",t:0.69999999,d:1.7333333,i:"e",e:"0.000000",s:"1.000000",o:"34"},{f:"3",t:1,d:1.3666668,i:"b",e:345,s:345,o:"30"},{f:"3",t:1,d:1.3666668,i:"e",e:"0.000000",r:1,s:"1.000000",o:"35"},{f:"3",t:2.3666668,d:0.43333316,i:"b",e:249,s:345,o:"30"},{f:"3",t:2.4333334,d:0.4666667,i:"e",e:"0.003497",s:"0.000000",o:"34"}],identifier:"kTimelineDefaultIdentifier",name:"Main Timeline",duration:2.9000001}},onSceneKeyDownAction:{type:4,javascriptOid:"11"},onSceneKeyPressAction:{type:4},sceneIndex:2,perspective:"600px",oid:"29",initialValues:{"34":{aV:8,w:"A Solr Server",x:"visible",a:361,Z:"break-word",b:139,j:"absolute",r:"inline",z:"3",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"0.000000",y:"preserve",aU:8,G:"#000000",v:"bold"},"37":{o:"content-box",h:"cloudera_logo.jpg",x:"visible",a:23,q:"100% 100%",b:16,j:"absolute",r:"inline",c:145,k:"div",z:"6",d:48},"30":{c:100,d:100,I:"Solid",J:"Solid",K:"Solid",g:"#FFB943",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"1",k:"div",D:"#A0A0A0",a:436,b:256},"36":{aU:8,G:"#000000",c:183,aV:8,r:"inline",d:42,s:"Impact,'Arial Narrow Bold',Sans-Serif",X:1.08475,t:38,Y:50,Z:"break-word",w:"<font face=\"Impact, Arial Narrow Bold, sans-serif\">SolrCloud</font>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"5",aS:8,aT:8,a:836,b:611},"35":{o:"content-box",h:"Pasted-3.png",x:"visible",a:468,q:"100% 100%",b:-106,j:"absolute",r:"inline",c:38,z:"4",k:"div",d:98,e:"1.000000"}},backgroundColor:"#FFFFFF",name:"A Solr Server"},{initialValues:{"47":{aV:8,w:"A Solr Server",x:"visible",a:361,Z:"break-word",b:139,j:"absolute",r:"inline",z:"3",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"0.003497",y:"preserve",aU:8,G:"#000000",v:"bold"},"55":{aV:8,w:"Requests come...",x:"visible",a:350,Z:"break-word",b:123,j:"absolute",r:"inline",c:382,z:"8",aS:8,aT:8,d:41,k:"div",e:"0.604895",t:36,aU:8,G:"#000000",y:"preserve"},"50":{aU:8,G:"#000000",c:183,aV:8,r:"inline",d:42,s:"Impact,'Arial Narrow Bold',Sans-Serif",X:1.08475,t:38,Y:50,Z:"break-word",w:"<font face=\"Impact, Arial Narrow Bold, sans-serif\">SolrCloud</font>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"5",aS:8,aT:8,a:836,b:611},"53":{o:"content-box",h:"Pasted-3.png",x:"visible",a:1054,q:"100% 100%",b:-95,j:"absolute",r:"inline",c:38,z:"7",k:"div",d:98,aY:"0",e:"0.975129",f:"51deg"},"48":{c:100,d:100,I:"Solid",J:"Solid",K:"Solid",g:"#FFB943",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"1",k:"div",D:"#A0A0A0",a:436,b:249},"51":{o:"content-box",h:"Pasted-3.png",x:"visible",a:468,q:"100% 100%",b:219,j:"absolute",r:"inline",c:38,z:"4",k:"div",d:98,e:"0.000000"},"49":{o:"content-box",h:"cloudera_logo.jpg",x:"visible",a:23,q:"100% 100%",b:16,j:"absolute",r:"inline",c:145,k:"div",z:"6",d:48}},onSceneKeyDownAction:{type:4,javascriptOid:"11"},onSceneKeyPressAction:{type:0},timelines:{kTimelineDefaultIdentifier:{framesPerSecond:30,animations:[{f:"2",t:0,d:0.73333335,i:"a",e:601,r:1,s:1054,o:"53"},{f:"2",t:0,d:0.73333335,i:"b",e:200,r:1,s:-95,o:"53"},{f:"2",t:0,d:0.73333335,i:"f",e:"45deg",r:1,s:"51deg",o:"53"},{f:"2",t:0,d:1,i:"w",e:"Responses go...",r:1,s:"Requests come...",o:"55"},{f:"2",t:0,d:0.73333335,i:"e",e:"0.996503",r:1,s:"0.604895",o:"55"},{f:"2",t:0,d:1,i:"a",e:350,r:1,s:350,o:"55"},{f:"2",t:0.73333335,d:0.39999998,i:"a",e:593,s:601,o:"53"},{f:"2",t:0.73333335,d:0.39999998,i:"b",e:268,s:200,o:"53"},{f:"2",t:0.73333335,d:0.39999998,i:"f",e:"303deg",s:"45deg",o:"53"},{f:"2",t:0.73333335,d:0.26666665,i:"e",e:"0.611888",s:"0.996503",o:"55"},{f:"2",t:1,d:0.66666675,i:"e",e:"1.000000",s:"0.611888",o:"55"},{f:"2",t:1.1333333,d:0.53333342,i:"a",e:1072,s:593,o:"53"},{f:"2",t:1.1333333,d:0.53333342,i:"b",e:555,s:268,o:"53"},{f:"2",t:1.1333333,d:0.53333342,i:"f",e:"306deg",s:"303deg",o:"53"}],identifier:"kTimelineDefaultIdentifier",name:"Main Timeline",duration:1.6666667}},sceneIndex:3,perspective:"600px",oid:"52",onSceneAnimationCompleteAction:{type:1,transition:1,sceneOid:"52"},backgroundColor:"#FFFFFF",name:"Come And Go"},{initialValues:{"63":{o:"content-box",h:"cloudera_logo.jpg",x:"visible",a:23,q:"100% 100%",b:16,j:"absolute",r:"inline",c:145,k:"div",z:"6",d:48},"66":{aU:8,G:"#000000",c:174,aV:8,r:"inline",d:18,e:"0.000000",s:"Times,'Times New Roman',Georgia,Serif",t:36,Z:"break-word",w:"I'm Full!",j:"absolute",x:"visible",k:"div",y:"preserve",z:"8",aS:8,aT:8,a:613,b:139},"65":{o:"content-box",w:"",h:"Pasted-4.png",x:"visible",a:566,q:"100% 100%",b:113,j:"absolute",r:"inline",c:213,z:"7",k:"div",d:106,e:"0.000000"},"68":{aV:9,w:":(",x:"visible",a:462,Z:"break-word",b:249,j:"absolute",r:"inline",z:"9",aS:9,k:"div",aT:9,y:"preserve",aY:"0",t:64,aU:9,f:"86deg",G:"#000000"},"61":{aU:0,c:100,aV:0,I:"Solid",d:100,J:"Solid",K:"Solid",g:"#FFB943",L:"Solid",M:1,N:1,aI:0,j:"absolute",x:"visible",O:1,A:"#A0A0A0",P:1,B:"#A0A0A0",C:"#A0A0A0",z:"1",aS:0,D:"#A0A0A0",k:"div",aJ:0,aK:0,aT:0,a:436,aL:0,b:249},"59":{aU:8,G:"#000000",c:183,aV:8,r:"inline",d:42,s:"Impact,'Arial Narrow Bold',Sans-Serif",X:1.08475,t:38,Y:50,Z:"break-word",w:"<font face=\"Impact, Arial Narrow Bold, sans-serif\">SolrCloud</font>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"5",aS:8,aT:8,a:836,b:611}},onSceneKeyDownAction:{type:4,javascriptOid:"11"},onSceneKeyPressAction:{type:0},timelines:{kTimelineDefaultIdentifier:{framesPerSecond:30,animations:[{f:"2",t:0,d:0.43333334,i:"a",e:405,r:1,s:436,o:"61"},{f:"2",t:0,d:0.43333334,i:"c",e:160,r:1,s:100,o:"61"},{f:"2",t:0,d:0.43333334,i:"b",e:240,r:1,s:249,o:"61"},{f:"2",t:0,d:0.43333334,i:"d",e:139,r:1,s:100,o:"61"},{f:"2",t:0,d:0.63333333,i:"N",e:3,r:1,s:1,o:"61"},{f:"2",t:0,d:0.63333333,i:"O",e:3,r:1,s:1,o:"61"},{f:"2",t:0,d:0.63333333,i:"P",e:3,r:1,s:1,o:"61"},{f:"2",t:0,d:0.63333333,i:"M",e:3,r:1,s:1,o:"61"},{f:"2",t:0,d:0.96666664,i:"e",e:"0.000000",r:1,s:"0.000000",o:"66"},{f:"2",t:0,d:1.1333333,i:"e",e:"0.000000",r:1,s:"0.000000",o:"65"},{f:"2",t:0,d:0.30000001,i:"a",e:465,r:1,s:462,o:"68"},{f:"2",t:0,d:0.30000001,i:"b",e:267,r:1,s:249,o:"68"},{f:"2",t:0.30000001,d:0.19999999,i:"a",e:464,s:465,o:"68"},{f:"2",t:0.30000001,d:0.19999999,i:"b",e:274,s:267,o:"68"},{f:"2",t:0.43333334,d:0.43333334,i:"a",e:435,s:405,o:"61"},{f:"2",t:0.43333334,d:0.19999999,i:"c",e:131,s:160,o:"61"},{f:"2",t:0.43333334,d:0.43333334,i:"b",e:244,s:240,o:"61"},{f:"2",t:0.43333334,d:0.43333334,i:"d",e:121,s:139,o:"61"},{f:"2",t:0.5,d:0.19999999,i:"a",e:476,s:464,o:"68"},{f:"2",t:0.5,d:0.19999999,i:"b",e:267,s:274,o:"68"},{f:"2",t:0.63333333,d:0.23333335,i:"c",e:122,s:131,o:"61"},{f:"2",t:0.63333333,d:0.23333335,i:"N",e:1,s:3,o:"61"},{f:"2",t:0.63333333,d:0.23333335,i:"O",e:1,s:3,o:"61"},{f:"2",t:0.63333333,d:0.23333335,i:"P",e:1,s:3,o:"61"},{f:"2",t:0.63333333,d:0.23333335,i:"M",e:1,s:3,o:"61"},{f:"2",t:0.69999999,d:0.23333335,i:"a",e:475,s:476,o:"68"},{f:"2",t:0.69999999,d:0.23333335,i:"b",e:260,s:267,o:"68"},{f:"2",t:0.86666667,d:0.63333333,i:"N",e:3,s:1,o:"61"},{f:"2",t:0.86666667,d:0.63333333,i:"O",e:3,s:1,o:"61"},{f:"2",t:0.86666667,d:0.63333333,i:"P",e:3,s:1,o:"61"},{f:"2",t:0.86666667,d:0.63333333,i:"M",e:3,s:1,o:"61"},{f:"2",t:0.86666667,d:0.43333328,i:"a",e:410,s:435,o:"61"},{f:"2",t:0.86666667,d:0.43333328,i:"c",e:134.831,s:122,o:"61"},{f:"2",t:0.86666667,d:0.43333328,i:"d",e:178.831,s:121,o:"61"},{f:"2",t:0.86666667,d:0.43333328,i:"b",e:215,s:244,o:"61"},{f:"2",t:0.93333334,d:0.13333338,i:"a",e:460,s:475,o:"68"},{f:"2",t:0.93333334,d:0.13333338,i:"b",e:267,s:260,o:"68"},{f:"2",t:0.96666664,d:0.76666671,i:"e",e:"1.000000",s:"0.000000",o:"66"},{f:"2",t:1.0666667,d:0.16666663,i:"a",e:459,s:460,o:"68"},{f:"2",t:1.0666667,d:0.16666663,i:"b",e:278,s:267,o:"68"},{f:"2",t:1.1333333,d:0.60000002,i:"e",e:"1.000000",s:"0.000000",o:"65"},{f:"2",t:1.2333333,d:0.20000005,i:"a",e:464,s:459,o:"68"},{f:"2",t:1.2333333,d:0.20000005,i:"b",e:267,s:278,o:"68"},{f:"2",t:1.3,d:0.4333334,i:"d",e:100,s:178.831,o:"61"},{f:"2",t:1.3,d:0.4333334,i:"b",e:249,s:215,o:"61"},{f:"2",t:1.3,d:0.20000005,i:"a",e:422,s:410,o:"61"},{f:"2",t:1.3,d:0.20000005,i:"c",e:131,s:134.831,o:"61"},{f:"2",t:1.4333334,d:0.29999995,i:"b",e:254,s:267,o:"68"},{f:"2",t:1.4333334,d:0.29999995,i:"a",e:462,s:464,o:"68"},{f:"2",t:1.5,d:0.23333335,i:"N",e:1,s:3,o:"61"},{f:"2",t:1.5,d:0.23333335,i:"P",e:1,s:3,o:"61"},{f:"2",t:1.5,d:0.23333335,i:"a",e:436,s:422,o:"61"},{f:"2",t:1.5,d:0.23333335,i:"M",e:1,s:3,o:"61"},{f:"2",t:1.5,d:0.23333335,i:"O",e:1,s:3,o:"61"},{f:"2",t:1.5,d:0.23333335,i:"c",e:100,s:131,o:"61"}],identifier:"kTimelineDefaultIdentifier",name:"Main Timeline",duration:1.7333333}},sceneIndex:4,perspective:"600px",oid:"64",onSceneAnimationCompleteAction:{type:0},backgroundColor:"#FFFFFF",name:"Too Large"},{timelines:{kTimelineDefaultIdentifier:{framesPerSecond:30,animations:[{f:"2",t:0,d:0.23333333,i:"b",e:253,r:1,s:249,o:"39"},{f:"2",t:0,d:0.23333333,i:"d",e:96,r:1,s:100,o:"39"},{f:"2",t:0,d:0.23333333,i:"c",e:117,r:1,s:100,o:"39"},{f:"2",t:0,d:0.73333335,i:"a",e:412,r:1,s:436,o:"39"},{f:"2",t:0,d:0.73333335,i:"a",e:426,r:1,s:446,o:"45"},{f:"2",t:0,d:0.73333335,i:"b",e:253,r:1,s:259,o:"45"},{f:"2",t:0,d:0.73333335,i:"e",e:"1.000000",r:1,s:"0.000000",o:"45"},{f:"2",t:0.23333333,d:0.23333333,i:"b",e:231,s:253,o:"39"},{f:"2",t:0.23333333,d:0.23333333,i:"d",e:118,s:96,o:"39"},{f:"2",t:0.23333333,d:0.23333333,i:"c",e:90,s:117,o:"39"},{f:"2",t:0.46666667,d:0.26666668,i:"b",e:253,s:231,o:"39"},{f:"2",t:0.46666667,d:0.26666668,i:"d",e:96,s:118,o:"39"},{f:"2",t:0.46666667,d:0.26666668,i:"c",e:114,s:90,o:"39"},{f:"2",t:0.73333335,d:0.16666663,i:"d",e:100,s:96,o:"39"},{f:"2",t:0.73333335,d:0.16666663,i:"a",e:341,s:412,o:"39"},{f:"2",t:0.73333335,d:0.16666663,i:"c",e:100,s:114,o:"39"},{f:"2",t:0.73333335,d:0.16666663,i:"a",e:592,s:426,o:"45"},{f:"2",t:0.73333335,d:0.16666663,i:"b",e:253,s:253,o:"45"},{f:"2",t:0.80000001,d:0.16666663,i:"c",e:350,r:1,s:129,o:"46"},{f:"2",t:0.80000001,d:0.16666663,i:"t",e:48,r:1,s:16,o:"46"},{f:"2",t:0.80000001,d:0.16666663,i:"a",e:379,r:1,s:466,o:"46"},{f:"2",t:0.80000001,d:0.16666663,i:"b",e:149,r:1,s:301,o:"46"},{f:"2",t:0.80000001,d:0.16666663,i:"e",e:"1.000000",r:1,s:"0.000000",o:"46"},{f:"2",t:0.80000001,d:0.16666663,i:"d",e:59,r:1,s:18,o:"46"},{f:"2",t:0.89999998,d:0.033333361,i:"e",e:"1.000000",r:1,s:"0.000000",o:"70"},{f:"2",t:0.93333334,d:0.033333302,i:"e",e:"1.000000",r:1,s:"0.000000",o:"69"}],identifier:"kTimelineDefaultIdentifier",name:"Main Timeline",duration:0.96666664}},onSceneKeyDownAction:{type:4,javascriptOid:"11"},onSceneKeyPressAction:{type:0},sceneIndex:5,perspective:"600px",oid:"43",initialValues:{"39":{c:100,d:100,I:"Solid",J:"Solid",K:"Solid",g:"#FFB943",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"1",k:"div",D:"#A0A0A0",a:436,b:249},"42":{o:"content-box",h:"Pasted-3.png",x:"visible",a:468,q:"100% 100%",b:219,j:"absolute",r:"inline",c:38,z:"4",k:"div",d:98,e:"0.000000"},"45":{c:100,d:100,I:"Solid",e:"0.000000",J:"Solid",K:"Solid",g:"#FFB943",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",O:1,P:1,B:"#A0A0A0",C:"#A0A0A0",z:"7",k:"div",D:"#A0A0A0",a:446,b:259},"40":{o:"content-box",h:"cloudera_logo.jpg",x:"visible",a:23,q:"100% 100%",b:16,j:"absolute",r:"inline",c:145,k:"div",z:"6",d:48},"69":{aV:8,w:":)",x:"visible",a:370,Z:"break-word",b:270,j:"absolute",r:"inline",z:"9",aS:8,k:"div",aT:8,y:"preserve",aY:"0",e:"0.000000",t:48,aU:8,f:"87deg",G:"#000000"},"38":{aV:8,w:"A Solr Server",x:"visible",a:361,Z:"break-word",b:139,j:"absolute",r:"inline",z:"3",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"0.003497",y:"preserve",aU:8,G:"#000000",v:"bold"},"46":{aV:8,w:"Is Web Scale!",x:"visible",a:466,Z:"break-word",b:301,j:"absolute",r:"inline",c:129,z:"8",aS:8,aT:8,d:18,k:"div",e:"0.000000",t:16,aU:8,G:"#000000",y:"preserve"},"41":{aU:8,G:"#000000",c:183,aV:8,r:"inline",d:42,s:"Impact,'Arial Narrow Bold',Sans-Serif",X:1.08475,t:38,Y:50,Z:"break-word",w:"<font face=\"Impact, Arial Narrow Bold, sans-serif\">SolrCloud</font>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"5",aS:8,aT:8,a:836,b:611},"70":{aV:8,w:":)",x:"visible",a:623,Z:"break-word",b:270,j:"absolute",r:"inline",z:"10",aS:8,k:"div",aT:8,y:"preserve",aY:"0",e:"0.000000",t:48,aU:8,f:"87deg",G:"#000000"}},backgroundColor:"#FFFFFF",name:"Scale"},{timelines:{kTimelineDefaultIdentifier:{framesPerSecond:30,animations:[{f:"2",t:0,d:0.5,i:"e",e:"0.000000",r:1,s:"1.000000",o:"79"},{f:"2",t:0,d:0.5,i:"e",e:"0.000000",r:1,s:"1.000000",o:"75"},{f:"2",t:0,d:0.5,i:"e",e:"0.000000",r:1,s:"1.000000",o:"77"},{f:"2",t:0,d:0.5,i:"e",e:"1.000000",r:1,s:"0.000000",o:"81"},{f:"2",t:0,d:0.5,i:"g",e:"#FF702F",r:1,s:"#FABB43",o:"73"},{f:"2",t:0,d:0.76666665,i:"e",e:"1.000000",r:1,s:"0.000000",o:"82"},{f:"2",t:0,d:0.76666665,i:"e",e:"1.000000",r:1,s:"0.000000",o:"84"},{f:"2",t:0,d:0.76666665,i:"e",e:"1.000000",r:1,s:"0.000000",o:"85"},{f:"2",t:0,d:0.73333335,i:"e",e:"1.000000",r:1,s:"0.000000",o:"83"}],identifier:"kTimelineDefaultIdentifier",name:"Main Timeline",duration:0.76666665}},onSceneKeyDownAction:{type:4,javascriptOid:"11"},onSceneKeyPressAction:{type:0},sceneIndex:6,perspective:"600px",oid:"80",initialValues:{"78":{aU:8,G:"#000000",c:183,aV:8,r:"inline",d:42,s:"Impact,'Arial Narrow Bold',Sans-Serif",X:1.08475,t:38,Y:50,Z:"break-word",w:"<font face=\"Impact, Arial Narrow Bold, sans-serif\">SolrCloud</font>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"5",aS:8,aT:8,a:836,b:611},"74":{o:"content-box",h:"cloudera_logo.jpg",x:"visible",a:23,q:"100% 100%",b:16,j:"absolute",r:"inline",c:145,k:"div",z:"6",d:48},"79":{aV:8,w:":)",x:"visible",a:623,Z:"break-word",b:270,j:"absolute",r:"inline",z:"10",aS:8,k:"div",aT:8,y:"preserve",aY:"0",e:"1.000000",t:48,aU:8,f:"87deg",G:"#000000"},"85":{aV:8,w:"Shard 2",x:"visible",a:800,Z:"break-word",b:111,j:"absolute",r:"inline",z:"15",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"0.000000",y:"preserve",aU:8,G:"#000000",v:"bold"},"81":{aU:8,G:"#000000",c:411,aV:8,r:"inline",d:82,e:"0.000000",t:24,Z:"break-word",w:"Shard the index.&nbsp;<div>Half on one box, half on the other.</div>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"11",aS:8,aT:8,a:313,F:"center",b:139},"75":{aV:8,w:":)",x:"visible",a:370,Z:"break-word",b:270,j:"absolute",r:"inline",z:"9",aS:8,k:"div",aT:8,y:"preserve",aY:"0",e:"1.000000",t:48,aU:8,f:"87deg",G:"#000000"},"71":{c:100,d:100,I:"Solid",J:"Solid",K:"Solid",g:"#FFB943",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"1",k:"div",D:"#A0A0A0",a:341,b:253},"76":{aV:8,w:"A Solr Server",x:"visible",a:361,Z:"break-word",b:139,j:"absolute",r:"inline",z:"3",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"0.003497",y:"preserve",aU:8,G:"#000000",v:"bold"},"82":{o:"content-box",h:"Pasted-3.png",x:"visible",a:226,q:"100% 100%",b:168,j:"absolute",r:"inline",c:38,z:"12",k:"div",d:98,aY:"0",e:"0.000000",f:"310deg"},"72":{o:"content-box",h:"Pasted-3.png",x:"visible",a:468,q:"100% 100%",b:219,j:"absolute",r:"inline",c:38,z:"4",k:"div",d:98,e:"0.000000"},"83":{o:"content-box",h:"Pasted-3.png",x:"visible",a:774,q:"100% 100%",b:170,j:"absolute",r:"inline",c:38,z:"13",k:"div",d:98,aY:"0",e:"0.000000",f:"36deg"},"77":{aV:8,w:"Is Web Scale!",x:"visible",a:379,Z:"break-word",b:149,j:"absolute",r:"inline",c:350,z:"8",aS:8,aT:8,d:59,k:"div",e:"1.000000",t:48,aU:8,G:"#000000",y:"preserve"},"73":{c:100,d:100,I:"Solid",e:"1.000000",J:"Solid",K:"Solid",g:"#FABB43",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",O:1,P:1,B:"#A0A0A0",C:"#A0A0A0",z:"7",k:"div",D:"#A0A0A0",a:592,b:253},"84":{aV:8,w:"Shard 1",x:"visible",a:96,Z:"break-word",b:126,j:"absolute",r:"inline",z:"14",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"0.000000",y:"preserve",aU:8,G:"#000000",v:"bold"}},backgroundColor:"#FFFFFF",name:"Shard"},{initialValues:{"92":{c:100,d:100,I:"Solid",J:"Solid",K:"Solid",g:"#FFB943",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"1",k:"div",D:"#A0A0A0",a:341,b:253},"103":{c:24,d:28,I:"Solid",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"18",k:"div",D:"#A0A0A0",a:528,b:-36},"111":{aV:8,w:"Hash on update id",x:"visible",a:572,Z:"break-word",b:147,j:"absolute",r:"inline",z:"25",aS:8,k:"div",aT:8,y:"preserve",t:24,e:"0.000000",aU:8,G:"#000000"},"93":{aV:8,w:"A Solr Server",x:"visible",a:361,Z:"break-word",b:139,j:"absolute",r:"inline",z:"3",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"0.003497",y:"preserve",aU:8,G:"#000000",v:"bold"},"86":{aV:8,w:"Shard 1",x:"visible",a:96,Z:"break-word",b:126,j:"absolute",r:"inline",z:"14",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"1.000000",y:"preserve",aU:8,G:"#000000",v:"bold"},"108":{c:24,d:28,I:"Solid",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"23",k:"div",D:"#A0A0A0",a:749,b:-36},"104":{c:24,d:28,I:"Solid",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"19",k:"div",D:"#A0A0A0",a:570,b:-36},"87":{o:"content-box",h:"cloudera_logo.jpg",x:"visible",a:23,q:"100% 100%",b:16,j:"absolute",r:"inline",c:145,k:"div",z:"6",d:48},"94":{o:"content-box",h:"Pasted-3.png",x:"visible",a:226,q:"100% 100%",b:168,j:"absolute",r:"inline",c:38,z:"12",k:"div",d:98,aY:"0",e:"1.000000",f:"310deg"},"109":{c:24,d:28,I:"Solid",e:"1.000000",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",O:1,P:1,B:"#A0A0A0",C:"#A0A0A0",z:"24",k:"div",D:"#A0A0A0",a:793,b:-36},"95":{o:"content-box",h:"Pasted-3.png",x:"visible",a:468,q:"100% 100%",b:219,j:"absolute",r:"inline",c:38,z:"4",k:"div",d:98,e:"0.000000"},"88":{aV:8,w:":)",x:"visible",a:623,Z:"break-word",b:270,j:"absolute",r:"inline",z:"10",aS:8,k:"div",aT:8,y:"preserve",aY:"0",e:"0.000000",t:48,aU:8,f:"87deg",G:"#000000"},"105":{c:24,d:28,I:"Solid",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"20",k:"div",D:"#A0A0A0",a:613,b:-36},"96":{aV:8,w:"Web Scale!",x:"visible",a:387,Z:"break-word",b:149,j:"absolute",r:"inline",c:350,z:"8",aS:8,aT:8,d:59,k:"div",e:"0.000000",t:48,aU:8,G:"#000000",y:"preserve"},"89":{aV:8,w:"Shard 2",x:"visible",a:800,Z:"break-word",b:111,j:"absolute",r:"inline",z:"15",aS:8,k:"div",aT:8,s:"Courier,'Courier New',Monospace",t:36,e:"1.000000",y:"preserve",aU:8,G:"#000000",v:"bold"},"101":{aV:8,w:"MurmurHash( &nbsp; &nbsp; )",x:"visible",a:260,Z:"break-word",b:137,j:"absolute",r:"inline",c:350,z:"16",aS:8,aT:8,d:18,k:"div",e:"0.000000",t:36,aU:8,G:"#000000",y:"preserve"},"97":{o:"content-box",h:"Pasted-3.png",x:"visible",a:774,q:"100% 100%",b:170,j:"absolute",r:"inline",c:38,z:"13",k:"div",d:98,aY:"0",e:"1.000000",f:"36deg"},"106":{c:24,d:28,I:"Solid",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",B:"#A0A0A0",P:1,O:1,C:"#A0A0A0",z:"21",k:"div",D:"#A0A0A0",a:655,b:-36},"98":{c:100,d:100,I:"Solid",e:"1.000000",J:"Solid",K:"Solid",g:"#FF702F",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",O:1,P:1,B:"#A0A0A0",C:"#A0A0A0",z:"7",k:"div",D:"#A0A0A0",a:592,b:253},"102":{c:24,d:28,I:"Solid",e:"1.000000",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",O:1,P:1,B:"#A0A0A0",C:"#A0A0A0",z:"17",k:"div",D:"#A0A0A0",a:493,b:-36},"99":{aU:8,G:"#000000",c:183,aV:8,r:"inline",d:42,s:"Impact,'Arial Narrow Bold',Sans-Serif",X:1.08475,t:38,Y:50,Z:"break-word",w:"<font face=\"Impact, Arial Narrow Bold, sans-serif\">SolrCloud</font>",j:"absolute",x:"visible",k:"div",y:"preserve",z:"5",aS:8,aT:8,a:836,b:611},"91":{aV:8,w:":)",x:"visible",a:370,Z:"break-word",b:270,j:"absolute",r:"inline",z:"9",aS:8,k:"div",aT:8,y:"preserve",aY:"0",e:"0.000000",t:48,aU:8,f:"87deg",G:"#000000"},"107":{c:24,d:28,I:"Solid",e:"1.000000",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:1,N:1,A:"#A0A0A0",x:"visible",j:"absolute",O:1,P:1,B:"#A0A0A0",C:"#A0A0A0",z:"22",k:"div",D:"#A0A0A0",a:698,b:-36}},onSceneKeyDownAction:{type:4,javascriptOid:"11"},onSceneKeyPressAction:{type:0},timelines:{"110":{framesPerSecond:30,animations:[{f:"3",t:0,d:0.96666664,i:"b",e:154,r:1,s:-36,o:"102"},{f:"3",t:0,d:0.96666664,i:"a",e:499,r:1,s:493,o:"102"},{f:"3",t:0,d:0.96666664,i:"a",e:499,r:1,s:493,o:"103"},{f:"3",t:0,d:0.96666664,i:"b",e:86,r:1,s:-36,o:"103"},{f:"3",t:0,d:0.96666664,i:"a",e:499,r:1,s:493,o:"104"},{f:"3",t:0,d:0.96666664,i:"b",e:25,r:1,s:-36,o:"104"},{f:"3",t:0,d:1.5,i:"a",e:499,r:1,s:493,o:"105"},{f:"3",t:0,d:1.5,i:"b",e:25,r:1,s:-36,o:"105"},{f:"3",t:0,d:1.8,i:"a",e:499,r:1,s:493,o:"106"},{f:"3",t:0,d:1.8,i:"b",e:28,r:1,s:-36,o:"106"},{f:"3",t:0,d:2.0333333,i:"a",e:499,r:1,s:493,o:"107"},{f:"3",t:0,d:2.0333333,i:"b",e:25,r:1,s:-36,o:"107"},{f:"3",t:0,d:2.2666667,i:"a",e:499,r:1,s:493,o:"108"},{f:"3",t:0,d:2.2666667,i:"b",e:40,r:1,s:-36,o:"108"},{f:"3",t:0,d:2.5,i:"a",e:499,r:1,s:493,o:"109"},{f:"3",t:0,d:2.5,i:"b",e:34,r:1,s:-40,o:"109"},{f:"3",t:0.96666664,d:0.53333336,i:"b",e:237,s:154,o:"102"},{f:"3",t:0.96666664,d:0.53333336,i:"a",e:455,s:499,o:"102"},{f:"3",t:0.96666664,d:0.53333336,i:"b",e:154,s:86,o:"103"},{f:"3",t:0.96666664,d:0.53333336,i:"a",e:499,s:499,o:"103"},{f:"3",t:0.96666664,d:0.53333336,i:"b",e:85,s:25,o:"104"},{f:"3",t:0.96666664,d:0.83333331,i:"a",e:499,s:499,o:"104"},{f:"3",t:1.5,d:0.29999995,i:"b",e:324,s:237,o:"102"},{f:"3",t:1.5,d:0.29999995,i:"a",e:403,s:455,o:"102"},{f:"3",t:1.5,d:0.29999995,i:"b",e:259,s:154,o:"103"},{f:"3",t:1.5,d:0.29999995,i:"a",e:566,s:499,o:"103"},{f:"3",t:1.5,d:0.29999995,i:"b",e:154,s:85,o:"104"},{f:"3",t:1.5,d:0.29999995,i:"b",e:91,s:25,o:"105"},{f:"3",t:1.5,d:0.29999995,i:"a",e:499,s:499,o:"105"},{f:"3",t:1.8,d:0.23333335,i:"b",e:443,s:324,o:"102"},{f:"3",t:1.8,d:0.23333335,i:"a",e:379,s:403,o:"102"},{f:"3",t:1.8,d:0.23333335,i:"b",e:343,s:259,o:"103"},{f:"3",t:1.8,d:0.23333335,i:"a",e:609,s:566,o:"103"},{f:"3",t:1.8,d:0.23333335,i:"b",e:252,s:154,o:"104"},{f:"3",t:1.8,d:0.23333335,i:"a",e:557,s:499,o:"104"},{f:"3",t:1.8,d:0.23333335,i:"b",e:157,s:91,o:"105"},{f:"3",t:1.8,d:0.23333335,i:"a",e:499,s:499,o:"105"},{f:"3",t:1.8,d:0.23333335,i:"b",e:91,s:28,o:"106"},{f:"3",t:1.8,d:0.23333335,i:"a",e:499,s:499,o:"106"},{f:"3",t:2.0333333,d:1.5333333,i:"b",e:444,s:443,o:"102"},{f:"3",t:2.0333333,d:1.5333333,i:"a",e:380,s:379,o:"102"},{f:"3",t:2.0333333,d:0.23333335,i:"b",e:447,s:343,o:"103"},{f:"3",t:2.0333333,d:0.23333335,i:"a",e:630,s:609,o:"103"},{f:"3",t:2.0333333,d:0.23333335,i:"b",e:339,s:252,o:"104"},{f:"3",t:2.0333333,d:0.23333335,i:"a",e:604,s:557,o:"104"},{f:"3",t:2.0333333,d:0.23333335,i:"b",e:252,s:157,o:"105"},{f:"3",t:2.0333333,d:0.23333335,i:"a",e:443,s:499,o:"105"},{f:"3",t:2.0333333,d:0.23333335,i:"b",e:154,s:91,o:"106"},{f:"3",t:2.0333333,d:0.4666667,i:"a",e:443,s:499,o:"106"},{f:"3",t:2.0333333,d:0.23333335,i:"b",e:96,s:25,o:"107"},{f:"3",t:2.0333333,d:0.23333335,i:"a",e:499,s:499,o:"107"},{f:"3",t:2.2666667,d:0.23333335,i:"b",e:350,s:252,o:"105"},{f:"3",t:2.2666667,d:0.23333335,i:"a",e:405,s:443,o:"105"},{f:"5",t:2.2666667,d:1.3,i:"b",e:447,s:447,o:"103"},{f:"5",t:2.2666667,d:1.3,i:"a",e:630,s:630,o:"103"},{f:"3",t:2.2666667,d:0.23333335,i:"b",e:447,s:339,o:"104"},{f:"3",t:2.2666667,d:0.23333335,i:"a",e:631,s:604,o:"104"},{f:"3",t:2.2666667,d:0.23333335,i:"b",e:267,s:154,o:"106"},{f:"3",t:2.2666667,d:0.23333335,i:"b",e:154,s:96,o:"107"},{f:"3",t:2.2666667,d:0.23333335,i:"a",e:499,s:499,o:"107"},{f:"3",t:2.2666667,d:0.23333335,i:"b",e:91,s:40,o:"108"},{f:"3",t:2.2666667,d:0.23333335,i:"a",e:499,s:499,o:"108"},{f:"5",t:2.5,d:1.0666666,i:"b",e:447,s:447,o:"104"},{f:"5",t:2.5,d:1.0666666,i:"a",e:631,s:631,o:"104"},{f:"3",t:2.5,d:0.26666665,i:"a",e:380,s:405,o:"105"},{f:"3",t:2.5,d:0.26666665,i:"b",e:445,s:350,o:"105"},{f:"3",t:2.5,d:0.26666665,i:"b",e:445,s:267,o:"106"},{f:"3",t:2.5,d:0.26666665,i:"a",e:380,s:443,o:"106"},{f:"3",t:2.5,d:0.26666665,i:"b",e:259,s:154,o:"107"},{f:"3",t:2.5,d:0.26666665,i:"a",e:557,s:499,o:"107"},{f:"3",t:2.5,d:0.26666665,i:"b",e:154,s:91,o:"108"},{f:"3",t:2.5,d:0.5333333,i:"a",e:544,s:499,o:"108"},{f:"3",t:2.5,d:0.26666665,i:"b",e:91,s:34,o:"109"},{f:"3",t:2.5,d:0.5333333,i:"a",e:499,s:499,o:"109"},{f:"5",t:2.7666667,d:0.79999995,i:"b",e:445,s:445,o:"105"},{f:"5",t:2.7666667,d:0.79999995,i:"a",e:380,s:380,o:"105"},{f:"5",t:2.7666667,d:0.79999995,i:"b",e:445,s:445,o:"106"},{f:"5",t:2.7666667,d:0.79999995,i:"a",e:380,s:380,o:"106"},{f:"3",t:2.7666667,d:0.26666665,i:"b",e:343,s:259,o:"107"},{f:"3",t:2.7666667,d:0.26666665,i:"a",e:600,s:557,o:"107"},{f:"3",t:2.7666667,d:0.26666665,i:"b",e:252,s:154,o:"108"},{f:"3",t:2.7666667,d:0.26666665,i:"b",e:154,s:91,o:"109"},{f:"3",t:3.0333333,d:0.23333335,i:"b",e:447,s:343,o:"107"},{f:"3",t:3.0333333,d:0.23333335,i:"a",e:631,s:600,o:"107"},{f:"3",t:3.0333333,d:0.23333335,i:"b",e:350,s:252,o:"108"},{f:"3",t:3.0333333,d:0.23333335,i:"a",e:600,s:544,o:"108"},{f:"3",t:3.0333333,d:0.23333335,i:"b",e:255,s:154,o:"109"},{f:"3",t:3.0333333,d:0.23333335,i:"a",e:429,s:499,o:"109"},{f:"3",t:3.2666667,d:0.16666675,i:"b",e:350,s:255,o:"109"},{f:"3",t:3.2666667,d:0.16666675,i:"a",e:403,s:429,o:"109"},{f:"5",t:3.2666667,d:0.29999995,i:"b",e:447,s:447,o:"107"},{f:"5",t:3.2666667,d:0.29999995,i:"a",e:631,s:631,o:"107"},{f:"3",t:3.2666667,d:0.16666675,i:"b",e:447,s:350,o:"108"},{f:"3",t:3.2666667,d:0.16666675,i:"a",e:631,s:600,o:"108"},{f:"5",t:3.4333334,d:0.13333321,i:"b",e:447,s:447,o:"108"},{f:"5",t:3.4333334,d:0.13333321,i:"a",e:631,s:631,o:"108"},{f:"3",t:3.4333334,d:0.13333321,i:"b",e:443,s:350,o:"109"},{f:"3",t:3.4333334,d:0.13333321,i:"a",e:380,s:403,o:"109"},{f:"3",t:3.5666666,d:0.033333302,i:"b",e:-37,s:443,o:"109"},{f:"3",t:3.5666666,d:0.033333302,i:"a",e:492,s:380,o:"109"},{f:"5",t:3.5666666,d:0.033333302,i:"a",e:493,s:631,o:"108"},{f:"5",t:3.5666666,d:0.033333302,i:"b",e:-37,s:447,o:"108"},{f:"5",t:3.5666666,d:0.033333302,i:"a",e:493,s:631,o:"107"},{f:"5",t:3.5666666,d:0.033333302,i:"b",e:-37,s:447,o:"107"},{f:"5",t:3.5666666,d:0.033333302,i:"a",e:492,s:380,o:"105"},{f:"5",t:3.5666666,d:0.033333302,i:"b",e:-35,s:445,o:"105"},{f:"5",t:3.5666666,d:0.033333302,i:"a",e:492,s:380,o:"106"},{f:"5",t:3.5666666,d:0.033333302,i:"b",e:-35,s:445,o:"106"},{f:"5",t:3.5666666,d:0.033333302,i:"a",e:493,s:631,o:"104"},{f:"5",t:3.5666666,d:0.033333302,i:"b",e:-37,s:447,o:"104"},{f:"5",t:3.5666666,d:0.033333302,i:"a",e:492,s:630,o:"103"},{f:"5",t:3.5666666,d:0.033333302,i:"b",e:-37,s:447,o:"103"},{f:"3",t:3.5666666,d:0.033333302,i:"a",e:491,s:380,o:"102"},{f:"3",t:3.5666666,d:0.033333302,i:"b",e:-37,s:444,o:"102"}],identifier:"110",name:"Boxes",duration:3.5999999},kTimelineDefaultIdentifier:{framesPerSecond:30,animations:[{f:"2",t:0,d:0.96666664,i:"b",e:426,r:1,s:270,o:"91"},{f:"2",t:0,d:0.96666664,i:"b",e:282,r:1,s:126,o:"86"},{f:"2",t:0,d:0.96666664,i:"b",e:324,r:1,s:168,o:"94"},{f:"2",t:0,d:0.96666664,i:"b",e:267,r:1,s:111,o:"89"},{f:"2",t:0,d:0.96666664,i:"b",e:326,r:1,s:170,o:"97"},{f:"2",t:0,d:0.96666664,i:"b",e:409,r:1,s:253,o:"92"},{f:"2",t:0,d:0.96666664,i:"b",e:375,r:1,s:219,o:"95"},{f:"2",t:0,d:0.96666664,i:"b",e:409,r:1,s:253,o:"98"},{f:"2",t:0,d:0.96666664,i:"b",e:295,r:1,s:139,o:"93"},{f:"2",t:0,d:0.96666664,i:"b",e:426,r:1,s:270,o:"88"},{f:"2",t:0,d:0.96666664,i:"b",e:305,r:1,s:149,o:"96"},{f:"2",t:0,d:0.96666664,i:"a",e:370,r:1,s:370,o:"91"},{f:"2",t:0,d:0.96666664,i:"a",e:96,r:1,s:96,o:"86"},{f:"2",t:0,d:0.96666664,i:"a",e:226,r:1,s:226,o:"94"},{f:"2",t:0,d:0.96666664,i:"a",e:800,r:1,s:800,o:"89"},{f:"2",t:0,d:0.96666664,i:"a",e:774,r:1,s:774,o:"97"},{f:"2",t:0,d:0.96666664,i:"a",e:341,r:1,s:341,o:"92"},{f:"2",t:0,d:0.96666664,i:"a",e:468,r:1,s:468,o:"95"},{f:"2",t:0,d:0.96666664,i:"a",e:592,r:1,s:592,o:"98"},{f:"2",t:0,d:0.96666664,i:"a",e:361,r:1,s:361,o:"93"},{f:"2",t:0,d:0.96666664,i:"a",e:623,r:1,s:623,o:"88"},{f:"2",t:0,d:0.96666664,i:"a",e:387,r:1,s:387,o:"96"},{f:"2",t:0.89999998,d:0.033333361,i:"e",e:"1.000000",r:1,s:"0.000000",o:"111"},{f:"2",t:0.93333334,d:0.033333302,i:"e",e:"1.000000",r:1,s:"0.000000",o:"101"}],identifier:"kTimelineDefaultIdentifier",name:"Main Timeline",duration:0.96666664}},sceneIndex:7,perspective:"600px",oid:"100",onSceneAnimationCompleteAction:{type:3,timelineIdentifier:"110"},backgroundColor:"#FFFFFF",name:"Shard Copy"}];


	
	var javascripts = [{name:"buttonDown",source:"function(hypeDocument, element, event) {\n\t/*\t\n\t\thypeDocument - access to the hype document API:\n\t\t\t\t\t\tMETHODS:\n\t\t\t\t\t\thypeDocument.documentName()\n\t\t\t\t\t\thypeDocument.sceneNames()\n\t\t\t\t\t\thypeDocument.currentSceneName()\n\t\t\t\t\t\thypeDocument.showSceneNamed(sceneName, optionalTransition)\n\t\t\t\t\t\thypeDocument.showNextScene(optionalTransition)\n\t\t\t\t\t\thypeDocument.showPreviousScene(optionalTransition)\n\t\t\t\t\t\thypeDocument.playTimelineNamed(timelineName)\n\t\t\t\t\t\thypeDocument.getElementById(id)\n\n\t\t\t\t\t\tMORE INFO:\n\t\t\t\t\t\thttp://tumult.com/hype/documentation/javascript/\n\t\n\t\telement - DOMHTMLElement that triggered this function being called\n\t\tevent - event that triggered this function being called\n\t\t\n\t\thypeDocument.kSceneTransitionInstant\n\t\thypeDocument.kSceneTransitionCrossfade\n\t\thypeDocument.kSceneTransitionSwap\n\t\thypeDocument.kSceneTransitionPushLeftToRight\n\t\thypeDocument.kSceneTransitionPushRightToLeft\n\t\thypeDocument.kSceneTransitionPushBottomToTop\n\t\thypeDocument.kSceneTransitionPushTopToBottom\n\t*/\n\n    code = event.keyCode;\n\n\tif(code == 39) {\n\t\thypeDocument.showNextScene();\n\t} else if(code == 37) {\n\t\thypeDocument.showPreviousScene();\n\t} else if(code == 38) {\n\t    hypeDocument.showSceneNamed(hypeDocument.currentSceneName())\n\t}\n    event.stopImmediatePropagation();\n}",identifier:"11"}];


	
	var Custom = {};
	var javascriptMapping = {};
	for(var i = 0; i < javascripts.length; i++) {
		try {
			javascriptMapping[javascripts[i].identifier] = javascripts[i].name;
			eval("Custom." + javascripts[i].name + " = " + javascripts[i].source);
		} catch (e) {
			hypeDoc.log(e);
			Custom[javascripts[i].name] = (function () {});
		}
	}
	
	hypeDoc.setAttributeTransformerMapping(attributeTransformerMapping);
	hypeDoc.setScenes(scenes);
	hypeDoc.setJavascriptMapping(javascriptMapping);
	hypeDoc.Custom = Custom;
	hypeDoc.setCurrentSceneIndex(0);
	hypeDoc.setMainContentContainerID("solrcloudarchitecture_hype_container");
	hypeDoc.setResourcesFolderName(resourcesFolderName);
	hypeDoc.setShowHypeBuiltWatermark(0);
	hypeDoc.setShowLoadingPage(false);
	hypeDoc.setDrawSceneBackgrounds(true);
	hypeDoc.setDocumentName(documentName);

	HYPE.documents[documentName] = hypeDoc.API;

	hypeDoc.documentLoad(this.body);
}());

